<template>
  <div>
    <div class="row">
      <div class="column">
        <img src="../assets/Nimoy-4.jpg" alt="" />
        <img src="../assets/Nimoy-5.jpg" alt="" />
        <img src="../assets/Nimoy-6.jpg" alt="" />
        <img src="../assets/Nimoy-7.jpg" alt="" />
      </div>
      <div class="column">
        <img src="../assets/Nimoy-8.jpg" alt="" />
        <img src="../assets/Nimoy-9.jpg" alt="" />
        <img src="../assets/Nimoy-10.jpg" alt="" />
        <img src="../assets/Nimoy-11.jpg" alt="" />
      </div>
      <div class="column">
        <img src="../assets/Nimoy-12.jpg" alt="" />
        <img src="../assets/Nimoy-13.jpg" alt="" />
        <img src="../assets/Nimoy-14.jpg" alt="" />
        <img src="../assets/Nimoy-15.jpg" alt="" />
        
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "galerie",
  metaInfo: {
      title: 'Galerie Leonard Nimoy',
      htmlAttrs: {
        lang: 'fr',
        amp: true
      }
    },
  data() {
    return {
      data: {}
    }
  },
  beforeMount(){
    this.getGalerie();
  },
  methods: {
    async getGalerie(){
      const res = await fetch('http://127.0.0.1:8000/api/galerie');
      const data = await res.json();
      this.data = data;
      console.log (this.data)
    }
  }
};
</script>

<style>
.row {
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

.column {
  flex: 25%;
  max-width: 33.3%;
  padding: 0 4px;
}

.column img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
  filter: grayscale(1) brightness(0.5);
  border-radius: 5px;
  transition: 0.3s linear;
}

.column img:hover {
  filter: grayscale(0);
}

@media screen and (max-width: 700px) {
  .column {
    flex: 100%;
    max-width: 100%;
  }
  .column img {
    filter: grayscale(1) brightness(0.5);
  }
}

</style>
